

set(MODULE_NAME wren)

# specify the libraries source files
set( wren_SRC
	vm/wren_compiler.c
	vm/wren_core.c
	vm/wren_debug.c
	vm/wren_primitive.c
	vm/wren_utils.c
	vm/wren_value.c
	vm/wren_vm.c
	optional/wren_opt_meta.c
	optional/wren_opt_random.c
)

# add the library
add_library(${MODULE_NAME} ${wren_SRC})

target_include_directories(${MODULE_NAME}
	PUBLIC "${PROJECT_BINARY_DIR}"
	PUBLIC include
	PUBLIC optional
	PUBLIC vm
)